# Uses of Class
it.tdlight.jni.TdApi.Contact

## Uses of TdApi.Contact in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Contact
Modifier and Type
Field
Description
`TdApi.Contact`
TdApi.AddContact.`contact`
The contact to add or edit; phone number may be empty and needs to be specified only if known, vCard is ignored.
`TdApi.Contact`
TdApi.InlineQueryResultContact.`contact`
A user contact.
`TdApi.Contact`
TdApi.InputInlineQueryResultContact.`contact`
User contact.
`TdApi.Contact`
TdApi.InputMessageContact.`contact`
Contact to send.
`TdApi.Contact`
TdApi.MessageContact.`contact`
The contact description.
`TdApi.Contact[]`
TdApi.ChangeImportedContacts.`contacts`
The new list of contacts, contact's vCard are ignored and are not imported.
`TdApi.Contact[]`
TdApi.ImportContacts.`contacts`
The list of contacts to import or edit; contacts' vCard are ignored and are not imported.
Constructors in it.tdlight.jni with parameters of type TdApi.Contact
Modifier
Constructor
Description
``
`AddContact(TdApi.Contact contact, boolean sharePhoneNumber)`
Adds a user to the contact list or edits an existing contact by their user identifier.
``
`ChangeImportedContacts(TdApi.Contact[] contacts)`
Changes imported contacts using the list of contacts saved on the device.
``
`ImportContacts(TdApi.Contact[] contacts)`
Adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.
``
`InlineQueryResultContact(String id, TdApi.Contact contact, TdApi.Thumbnail thumbnail)`
Represents a user contact.
``
`InputInlineQueryResultContact(String id, TdApi.Contact contact, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents a user contact.
``
`InputMessageContact(TdApi.Contact contact)`
A message containing a user contact.
``
`MessageContact(TdApi.Contact contact)`
A message with a user contact.